package com.nokia.vo;

import com.nokia.pojo.Role;
import com.nokia.pojo.User;
import lombok.Data;

/**
 * 投诉分析用户
 */
@Data
public class FenxiUserVo {
    // 用户id
    private Integer id;
    // 用户登陆名
    private String account;
    // 用户姓名
    private String name;
    // 1为可用，其他为不可用
    private Integer status;
    // 归属地市
    // private String belongCity;
    // city为城市id
    private String city;

    public FenxiUserVo(User user) {
        this.id = user.getUserId();
        this.account = user.getLoginName();
        this.name = user.getUserName();
        // status永远为1
        this.status = 1;
        // this.belongCity = user.getCity().getCityNameZh();
        // 根据角色进行city赋权
        for (Role role : user.getRoles()) {
            if ("fenxi".equals(role.getSystem())) {
                this.city = role.getCities().get(0).getAreaName();
            }
        }
    }
}
